c***********************************************************************
c     This section defines the pointers and the memory space needed
c     by the multigrid pressure subroutines
c***
      INTEGER NGM,NN3,NN2,NN1,MEMLEN,mem
c***
c     memory necessary for a cube of side: 2**NGM+2
c***
c      PARAMETER (NGM=7)
c      PARAMETER (NN3=(2**(3*NGM)-1)/7,NN2=2**(2*NGM),NN1=2**NGM)
c      PARAMETER (MEMLEN=64*NN3 + 64*NN2 + 192*NN1 + 72*NGM)
c***
c     memory for a box : 130x66x66: 5246832
c     memory for a box : 258x130x130: 40128440
c***
      PARAMETER (MEMLEN=11 000 000, NGM=8)
      DOUBLE PRECISION zcc(MEMLEN),zu(MEMLEN),zres(MEMLEN),
     %   zrhs(MEMLEN),za(MEMLEN),zb(MEMLEN),
     %   zc(MEMLEN),zei(MEMLEN),zd(MEMLEN),zm(MEMLEN)
      INTEGER ia(NGM),ng
      COMMON /pointers/ia,ng
      COMMON /memory/ zcc,zu,zres,
     %   zrhs,za,zb,
     %   zc,zei,zd,zm, mem

